=begin
#ChannelShipper & Royal Mail Public API

#Import your orders, retrieve your orders and generate labels.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for RoyalMail::OrdersApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'OrdersApi' do
  before do
    # run before each test
    @instance = RoyalMail::OrdersApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of OrdersApi' do
    it 'should create an instance of OrdersApi' do
      expect(@instance).to be_instance_of(RoyalMail::OrdersApi)
    end
  end

  # unit tests for create_orders_async
  # Create orders
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [CreateOrdersResponse]
  describe 'create_orders_async test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_orders_async
  # Delete orders
  # &lt;b&gt;Reserved for ChannelShipper customers only - please visit &lt;a href&#x3D;\&quot;https://channelshipper.com/\&quot; target&#x3D;\&quot;_self\&quot;&gt;ChannelShipper.com&lt;/a&gt; for more information&lt;/b&gt;  Please be aware labels generated on orders which are deleted are no longer valid and must be destroyed.  Cancelled label information is automatically shared with Royal Mail Revenue Protection, and should a cancelled label be identified on an item in the Royal Mail Network, you will be charged on your account and an additional handling fee applied. 
  # @param order_identifiers One or several Order Identifiers or Order References separated by semicolon. Order Identifiers are integer numbers. Order References are strings - each must be percent-encoded and surrounded by double quotation marks. The maximum number of identifiers is 100.
  # @param [Hash] opts the optional parameters
  # @return [DeleteOrdersResource]
  describe 'delete_orders_async test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_orders_async
  # Retrieve pageable list of orders
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of items to return
  # @option opts [DateTime] :start_date_time Date and time lower bound for items filtering
  # @option opts [DateTime] :end_date_time Date and time upper bound for items filtering
  # @option opts [String] :continuation_token The token for retrieving the next page of items
  # @return [GetOrdersResponse]
  describe 'get_orders_async test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_orders_with_details_async
  # Retrieve pageable list of orders with details
  # &lt;b&gt;Reserved for ChannelShipper customers only - please visit &lt;a href&#x3D;\&quot;https://channelshipper.com/\&quot; target&#x3D;\&quot;_self\&quot;&gt;ChannelShipper.com&lt;/a&gt; for more information&lt;/b&gt;
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of items to return
  # @option opts [DateTime] :start_date_time Date and time lower bound for items filtering
  # @option opts [DateTime] :end_date_time Date and time upper bound for items filtering
  # @option opts [String] :continuation_token The token for retrieving the next page of items
  # @return [GetOrdersDetailsResponse]
  describe 'get_orders_with_details_async test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_specific_orders_async
  # Retrieve specific orders
  # @param order_identifiers One or several Order Identifiers or Order References separated by semicolon. Order Identifiers are integer numbers. Order References are strings - each must be percent-encoded and surrounded by double quotation marks. The maximum number of identifiers is 100.
  # @param [Hash] opts the optional parameters
  # @return [Array<GetOrderInfoResource>]
  describe 'get_specific_orders_async test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_specific_orders_with_details_async
  # Retrieve details of the specific orders
  # &lt;b&gt;Reserved for ChannelShipper customers only - please visit &lt;a href&#x3D;\&quot;https://channelshipper.com/\&quot; target&#x3D;\&quot;_self\&quot;&gt;ChannelShipper.com&lt;/a&gt; for more information&lt;/b&gt;
  # @param order_identifiers One or several Order Identifiers or Order References separated by semicolon. Order Identifiers are integer numbers. Order References are strings - each must be percent-encoded and surrounded by double quotation marks. The maximum number of identifiers is 100.
  # @param [Hash] opts the optional parameters
  # @return [Array<GetOrderDetailsResource>]
  describe 'get_specific_orders_with_details_async test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_orders_status_async
  # Set order status
  # @param body At least one of &#x27;orderIdentifier&#x27; and &#x27;orderReference&#x27; is required. Providing both is disallowed to avoid ambiguity.

  # When the status is set to &#x27;despatchedByOtherCourier&#x27;, if the optional parameter &#x27;trackingNumber&#x27; is provided
  # then the parameters &#x27;despatchDate&#x27;, &#x27;shippingCarrier&#x27; and &#x27;shippingService&#x27; are also required.
  # The maximum collection lenght is 100.

  # @param [Hash] opts the optional parameters
  # @return [UpdateOrderStatusResponse]
  describe 'update_orders_status_async test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
